<xml xmlns="https://developers.google.com/blockly/xml">
<description>
<![CDATA[
##  Inverting Amplifier

<img class="ui image fluid" src='data:image/svg+xml;base64,[encoded data, 21164 characters]'/>

Make the connections as per the schematic. 
Observe the input and output waveforms. Gain may be changed by adjusting the resistor values.

---
]]>	
</description>
  <variables>
    <variable id="J-+@|mBt7ruFM6)FhVT-">timestamps</variable>
    <variable id="NsNgyd_8Jh5$%CRlizEp">data1</variable>
    <variable id="lJEBaS2!pcJs,/7Ddo-S">data2</variable>
  </variables>
  <block type="select_range" id="38ObOcZB4zM.CsyrH031" x="22" y="29">
    <field name="CHANNEL">A1</field>
    <field name="RANGE">6</field>
    <next>
      <block type="select_range" id="7`r#xy^ibateSf.nAW]F">
        <field name="CHANNEL">A2</field>
        <field name="RANGE">2</field>
        <next>
          <block type="select_sine_amp" id="m(;z%S7:2k4(]BIwa@vW">
            <field name="RANGE">0</field>
            <next>
              <block type="set_frequency" id="gpCl(26UF/yWoc^EiRo{">
                <field name="CHANNEL">WG</field>
                <value name="FREQUENCY">
                  <block type="math_number" id="CJ%,Y3X@l=g@ni$~/f7h">
                    <field name="NUM">1000</field>
                  </block>
                </value>
                <next>
                  <block type="controls_whileUntil" id="$EIOH2tW_j94UZyptf,r">
                    <field name="MODE">WHILE</field>
                    <value name="BOOL">
                      <block type="logic_boolean" id="3[`(8@oBA9hS4kPt`[q9">
                        <field name="BOOL">TRUE</field>
                      </block>
                    </value>
                    <statement name="DO">
                      <block type="capture_plot" id="VWH06?[5zob7L9WJ*oGP">
                        <field name="CHANNEL">A1</field>
                        <field name="TIMESTAMPS" id="J-+@|mBt7ruFM6)FhVT-">timestamps</field>
                        <field name="DATA1" id="NsNgyd_8Jh5$%CRlizEp">data1</field>
                        <field name="DATA2" id="lJEBaS2!pcJs,/7Ddo-S">data2</field>
                        <next>
                          <block type="cs_sticker" id="EGv%*TVVqKK[3cQNm:FQ">
                            <value name="LABEL">
                              <shadow type="text" id="(NnagLa3W?;W@?,BcJ2|">
                                <field name="TEXT">Gain</field>
                              </shadow>
                            </value>
                            <value name="TEXT">
                              <shadow type="text" id="K:DNT{30U%37ZYR=o}8d">
                                <field name="TEXT">Reading</field>
                              </shadow>
                              <block type="sine_fit_two_arrays" id="xgG~37frmd,Y!HL.kFjD">
                                <field name="PARAMETER">0</field>
                                <value name="X">
                                  <block type="variables_get" id="gGLl*Qi_RkO9MwqSK.$e">
                                    <field name="VAR" id="J-+@|mBt7ruFM6)FhVT-">timestamps</field>
                                  </block>
                                </value>
                                <value name="Y">
                                  <block type="variables_get" id="9.=e0C0hpsKRK_QPL3qc">
                                    <field name="VAR" id="NsNgyd_8Jh5$%CRlizEp">data1</field>
                                  </block>
                                </value>
                                <value name="X2">
                                  <block type="variables_get" id="f$;jN4I-jt46V*PiYK*P">
                                    <field name="VAR" id="J-+@|mBt7ruFM6)FhVT-">timestamps</field>
                                  </block>
                                </value>
                                <value name="Y2">
                                  <block type="variables_get" id="L!u!#SF1TR.h6vf7Sx7U">
                                    <field name="VAR" id="lJEBaS2!pcJs,/7Ddo-S">data2</field>
                                  </block>
                                </value>
                              </block>
                            </value>
                          </block>
                        </next>
                      </block>
                    </statement>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </next>
  </block>
</xml>
